RoutesQuotes module
Quotes routes
URLs the Quotes module answers, their parameters and the variables each view receives.
Admin view
GET
/cdna-admin/quotes/quote/{id}
editQuote
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$quote |
Quote |
Retrieved Quote record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
GET
/cdna-admin/quotes/quotes
manageQuotes
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$quotes |
Collection<Quote> |
Collection of Quotes |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.